Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access
Class ConnectionLogger

    java.lang.Object
      org.apache.cayenne.access.ConnectionLogger

All Implemented Interfaces:
  ConnectionEventLoggingDelegate

    public class ConnectionLogger

extends Object
implements ConnectionEventLoggingDelegate

Adapts `QueryLogger` to be used as a `ConnectionEventLoggingDelegate` with Cayenne connection pools.

Since:
  1.2
Author:
  Andrus Adamchik

Constructor Summary
`ConnectionLogger()`

Method Summary
`void` | `logConnect(String url, String userName, String password)`
`void` | `logConnectFailure(Throwable th)`
`void` | `logConnectSuccess()`
`void` | `logPoolCreated(DataSourceInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionLogger

    public ConnectionLogger()

Method Detail

### logConnect

    public void logConnect(String url,
                           String userName,
                           String password)

  Specified by:
    `logConnect` in interface `ConnectionEventLoggingDelegate`

### logConnectFailure

    public void logConnectFailure(Throwable th)

  Specified by:
    `logConnectFailure` in interface `ConnectionEventLoggingDelegate`

### logConnectSuccess

    public void logConnectSuccess()

  Specified by:
    `logConnectSuccess` in interface `ConnectionEventLoggingDelegate`

### logPoolCreated

    public void logPoolCreated(DataSourceInfo info)

  Specified by:
    `logPoolCreated` in interface `ConnectionEventLoggingDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.